package org.xdoclet.plugin.weblogic.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String WEBLOGIC_AUTOMATIC_KEY_GENERATION = WeblogicAutomaticKeyGenerationTagImpl.NAME;
    public static final String WEBLOGIC_CACHE_REF = WeblogicCacheRefTagImpl.NAME;
    public static final String WEBLOGIC_CACHE = WeblogicCacheTagImpl.NAME;
    public static final String WEBLOGIC_CLUSTERING = WeblogicClusteringTagImpl.NAME;
    public static final String WEBLOGIC_COLUMN_MAP = WeblogicColumnMapTagImpl.NAME;
    public static final String WEBLOGIC_DATA_SOURCE_NAME = WeblogicDataSourceNameTagImpl.NAME;
    public static final String WEBLOGIC_DELAY_DATABASE_INSERT_UNTIL = WeblogicDelayDatabaseInsertUntilTagImpl.NAME;
    public static final String WEBLOGIC_ENABLE_CALL_BY_REFERENCE = WeblogicEnableCallByReferenceTagImpl.NAME;
    public static final String WEBLOGIC_ENABLE_DYNAMIC_QUERIES = WeblogicEnableDynamicQueriesTagImpl.NAME;
    public static final String WEBLOGIC_INSTANCE_LOCK_ORDER = WeblogicInstanceLockOrderTagImpl.NAME;
    public static final String WEBLOGIC_LOCK_ORDER = WeblogicLockOrderTagImpl.NAME;
    public static final String WEBLOGIC_PERSISTENCE = WeblogicPersistenceTagImpl.NAME;
    public static final String WEBLOGIC_POOL = WeblogicPoolTagImpl.NAME;
    public static final String WEBLOGIC_RELATION = WeblogicRelationTagImpl.NAME;
    public static final String WEBLOGIC_RESOURCE_DESCRIPTION = WeblogicResourceDescriptionTagImpl.NAME;
    public static final String WEBLOGIC_TARGET_COLUMN_MAP = WeblogicTargetColumnMapImpl.NAME;
    public static final String WEBLOGIC_TRANSACTION_DESCRIPTOR = WeblogicTransactionDescriptorTagImpl.NAME;
    public static final String WEBLOGIC_USE_SELECT_FOR_UPDATE = WeblogicUseSelectForUpdateTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(WeblogicAutomaticKeyGenerationTagImpl.NAME, WeblogicAutomaticKeyGenerationTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicCacheRefTagImpl.NAME, WeblogicCacheRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicCacheTagImpl.NAME, WeblogicCacheTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicClusteringTagImpl.NAME, WeblogicClusteringTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicColumnMapTagImpl.NAME, WeblogicColumnMapTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicDataSourceNameTagImpl.NAME, WeblogicDataSourceNameTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicDelayDatabaseInsertUntilTagImpl.NAME, WeblogicDelayDatabaseInsertUntilTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicEnableCallByReferenceTagImpl.NAME, WeblogicEnableCallByReferenceTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicEnableDynamicQueriesTagImpl.NAME, WeblogicEnableDynamicQueriesTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicInstanceLockOrderTagImpl.NAME, WeblogicInstanceLockOrderTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicLockOrderTagImpl.NAME, WeblogicLockOrderTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicPersistenceTagImpl.NAME, WeblogicPersistenceTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicPoolTagImpl.NAME, WeblogicPoolTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicRelationTagImpl.NAME, WeblogicRelationTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicResourceDescriptionTagImpl.NAME, WeblogicResourceDescriptionTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicTargetColumnMapImpl.NAME, WeblogicTargetColumnMapImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicTransactionDescriptorTagImpl.NAME, WeblogicTransactionDescriptorTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(WeblogicUseSelectForUpdateTagImpl.NAME, WeblogicUseSelectForUpdateTagImpl.class);
    }
}
